Package org.opengis.cite.iso19142.paging

# Class PagingTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.paging.PagingTests

public class PagingTests extends BaseFixture
Provides test methods that verify the pagination of search results. This capability allows a client to iterate over the items in a result set. The lifetime of a cached result set is indicated by the value of the operation constraint `ResponseCacheTimeout` (duration in seconds); if this constraint is not specified then the response cache never times out.

See Also:
  - "OGC 09-025: Table 14"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PagingTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) QName`
  `anyFeatureType(Map<QName,FeatureTypeInfo> featureInfo)`
  Returns the name of a feature type for which data exist.
  `(package private) QName`
  `featureTypeWithAtLeastTwoFeatures(Map<QName,FeatureTypeInfo> featureInfo)`
  Returns the name of a feature type for which at least two features exist.
  `void`
  `getFeatureWithHitsOnly()`
  [`Test`] Submits a GetFeature request with a very small page size (count="1") and resultType="hits".
  `void`
  `getPagingConstraints(org.testng.ITestContext testContext)`
  `void`
  `initDataSample(org.testng.ITestContext testContext)`
  `(package private) jakarta.ws.rs.core.Response`
  `retrieveResource(String uriRef)`
  Dereferences the given URI reference and returns the response message.
  `void`
  `traverseResultSetInBothDirections()`
  [`Test`] Submits a GetFeature request with count = "4" and resultType = "results".

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PagingTests

    public PagingTests()

- ## Method Details

  - ### initDataSample

    @BeforeClass public void initDataSample(org.testng.ITestContext testContext)

  - ### getPagingConstraints

    @BeforeClass public void getPagingConstraints(org.testng.ITestContext testContext)

  - ### getFeatureWithHitsOnly

    public void getFeatureWithHitsOnly()
    [`Test`] Submits a GetFeature request with a very small page size (count="1") and resultType="hits". The initial response entity shall be an empty feature collection with numberReturned = 0. The value of the `next` attribute shall be a URI that refers to the first page of results. Furthermore, the `previous` attribute must not appear.

  - ### traverseResultSetInBothDirections

    public void traverseResultSetInBothDirections()
    [`Test`] Submits a GetFeature request with count = "4" and resultType = "results". The feature identifiers in the first page of results are collected and the next page is retrieved. Then the previous (first) page is retrieved and the feature identifiers are extracted; they must match the known values from the first page.

  - ### retrieveResource

    jakarta.ws.rs.core.Response retrieveResource(String uriRef)
    Dereferences the given URI reference and returns the response message.
    Parameters:
      `uriRef` - A String denoting an absolute 'http' URI.
    Returns:
      A representation of the HTTP response message.

  - ### anyFeatureType

    QName anyFeatureType(Map<QName,FeatureTypeInfo> featureInfo)
    Returns the name of a feature type for which data exist.
    Parameters:
      `featureInfo` - Information about feature types gleaned from the SUT.
    Returns:
      The qualified name of a feature type.

  - ### featureTypeWithAtLeastTwoFeatures

    QName featureTypeWithAtLeastTwoFeatures(Map<QName,FeatureTypeInfo> featureInfo)
    Returns the name of a feature type for which at least two features exist.
    Parameters:
      `featureInfo` - Information about feature types gleaned from the SUT.
    Returns:
      The qualified name of a feature type.